# service::is-running

[This is preliminary documentation and subject to change.]

Returns a value indicating whether the specified service is running.

### Usage

`bool service::is-running(service, machineName)`

### Parameters

Name | Type | Description
--- | --- | ---
service | string | The short name that identifies the service to the system.
machineName | string | The computer on which the service resides.

### Return Value

true if the service is running; otherwise, false.

### Remarks

For the machineName parameter, you can use "." or a zero-length String to represent the local computer.

### Requirements

Assembly: NAnt.Contrib.Tasks (0.93.5002.0)